/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct Status {
    #[serde(rename = "OvrdExceptionInd", skip_serializing_if = "Option::is_none")]
    pub ovrd_exception_ind: Option<String>,
    #[serde(rename = "ServerStatusCode", skip_serializing_if = "Option::is_none")]
    pub server_status_code: Option<String>,
    #[serde(rename = "ServerStatusDesc", skip_serializing_if = "Option::is_none")]
    pub server_status_desc: Option<String>,
    #[serde(rename = "Severity", skip_serializing_if = "Option::is_none")]
    pub severity: Option<String>,
    #[serde(rename = "StatusCode", skip_serializing_if = "Option::is_none")]
    pub status_code: Option<String>,
    #[serde(rename = "StatusDesc", skip_serializing_if = "Option::is_none")]
    pub status_desc: Option<String>,
    #[serde(rename = "SvcProviderName", skip_serializing_if = "Option::is_none")]
    pub svc_provider_name: Option<String>,
}

impl Status {
    pub fn new() -> Status {
        Status {
            ovrd_exception_ind: None,
            server_status_code: None,
            server_status_desc: None,
            severity: None,
            status_code: None,
            status_desc: None,
            svc_provider_name: None,
        }
    }
}
